//CFTTFile_ROM - [2020-04-13 11:57:46]
#ifndef _CFTTFILE_ROM_H_
#define _CFTTFILE_ROM_H_

#include "CFTTFile.h"

/*
00264A74 CFTTFile_ROM::CFTTFile_ROM(CFTTFile *,EFTTMemHeapID)
00264B30 CFTTFile_ROM::CFTTFile_ROM(void const*,TFTTFileAttributes const*,bool,bool,bool,bool,EFTTMemHeapID)
00264BB8 CFTTFile_ROM::~CFTTFile_ROM()
00264BD4 CFTTFile_ROM::~CFTTFile_ROM()
00264BE2 CFTTFile_ROM::Close()
00264C0A CFTTFile_ROM::Read(void *,long long)
00264C6C CFTTFile_ROM::Write(void const*,long long)
00264C7A CFTTFile_ROM::GetPos()
00264C8A CFTTFile_ROM::Seek(long long,int)
00264CDE CFTTFile_ROM::IsOpen()
00264CE8 CFTTFile_ROM::GetAttributes()
00264CEC CFTTFile_ROM::GetBuffer()
00264CF0 CFTTFile_ROM::GetAsyncHandler()
00264CFC CFTTFile_ROM::GetModeFlags()
00265858 CFTTFile_ROM::GetMemoryMappedPos()

vprt_CFTTFile_ROM_329894
  CFTTFile_ROM::~CFTTFile_ROM()
  CFTTFile_ROM::~CFTTFile_ROM()
  CFTTFile_ROM::Read(void *,long long)
  CFTTFile_ROM::Write(void const*,long long)
  CFTTFile_ROM::GetPos()
  CFTTFile_ROM::Seek(long long,int)
  CFTTFile_ROM::GetAttributes()
  CFTTFile_ROM::Close()
  CFTTFile_ROM::IsOpen()
  CFTTFile::ReadAsync(void *,long long,long long,void *,CFTTAsyncEvent<TFTTFileAsyncEventData> *)
  CFTTFile::WriteAsync(void const*,long long,long long,void *,CFTTAsyncEvent<TFTTFileAsyncEventData> *)
  CFTTFile_ROM::GetAsyncHandler()
  CFTTFile_ROM::GetModeFlags()
  CFTTFile_ROM::GetMemoryMappedPos()
  CFTTFile::UseBufferedAccess()
  CFTTFile::RequestFlushWrites()

0x20
*/

class CFTTFileSystem_Android;

class CFTTFile_ROM : public CFTTFile {
public:
  CFTTFile_ROM();  //00264A74
  CFTTFile_ROM(void const *pBuf,
               TFTTFileAttributes const *pAttr,
               bool isCopyBuf,
               bool isCopyAttr,
               bool a6,
               bool a7,
               EFTTMemHeapID eHeapId);  //00264B30
  virtual ~CFTTFile_ROM();              //00264BB8 00264BD4

  virtual int64 Read(void *buf, int64 buflen);       //00264C0A
  virtual int64 Write(void const *, int64);          //00264C6C
  virtual int64 GetPos();                            //00264C7A
  virtual int64 Seek(int64 a1, int a2);              //00264C8A
  virtual TFTTFileAttributes *GetAttributes();       //00264CE8
  virtual bool Close();                              //00264BE2
  virtual bool IsOpen();                             //00264CDE
  virtual CFTTFile_AsyncHandler *GetAsyncHandler();  //00264CF0
  virtual int GetModeFlags();                        //00264CFC
  virtual void *GetMemoryMappedPos() const;          //00265858
  void *GetBuffer();                                 //00264CEC

  int64_t dCurPos_8;             //文件当前位置
  TFTTFileAttributes *pArrt_10;  //.text:00264B88 020   STR R0, [R4,#0x10] 这儿证明枚举中存在这个变量
  bool isCopyBuf_14;
  bool isCopyAttr_15;
  uint8 *pBuf_18;
  CFTTFileSystem_Android *pFileSystem_1C;
};

#endif  //_CFTTFILE_ROM_H_